# TF2 Schema Page Renderer

Set of scripts to generate no-frills HTML pages for Team Fortress 2 item information.

In memory of optf2.

I host semi up-to-date renders for [items](https://csrd.science/misc/econ-tf/items.html) and
[attributes](https://csrd.science/misc/econ-tf/attributes.html).

## Configuration

The scripts require the [chevron][] library.

Create a `config.ini` value with the below contents, populating the values as appropriate
(values are unquoted):

```
[DEFAULT]
key = YOUR_STEAM_API_KEY_HERE
language = en
```

Run `python3 tf_attr_list.py` to generate `attributes.html`; `python3 tf_item_list.py` to
generate `items.html`.  The scripts will fetch the latest version of the schema on each run.

[chevron]: https://github.com/noahmorrison/chevron

## License and Credits

The scripts are released under the 2-Clause BSD License.

[chevron][] is an implementation of the mustache templating language.  It is released under the
MIT License.

[tablesort](https://github.com/tristen/tablesort) is used to provide optional sorting
functionality to the tables.  It is released under the MIT License.
